Subject: Re: [PATCH v5 1/1] ref-filter: add new "signature" atom

From: Kousik Sanagavarapu <[email-masked]>
Date: Fri, 28 Apr 2023 23:59:25 +0530

Nsengiyumva Wilberforce <[email-masked]> writes:

> +test_expect_success GPG 'test bare signature atom' '

I think this test is failing on CI because, as Junio said, there
are different versions of gpg coming into play here. In particular,
this test is failing on (according to the logs) linux32 (daald/ubuntu32:xenial).
The version of GPG that xenial can use is at a maximum v1.4.20 (this is
evident here https://packages.ubuntu.com/xenial/allpackages). But
according the code in lib-gpg.sh, we should be able to handle any GPG
version, except for v1.0.6.

Looking at the logs that Junio posted, I think that the cuplrit is

> +	grep -v "checking the trustdb" out_orig >out &&
> +	head -3 out >expected &&
> +	tail -1 out >>expected &&

but I'm not really sure. So I would really be grateful if you could
explain this hack to me, the one you mentioned in the cover-letter.

Thanks